Subject: bug#491: 23.0.60; emacsclient -t removes icons from toolbar.

From: Lute Kamstra <[email-masked]>
Date: Fri, 27 Jun 2008 15:15:31 +0200

Hello everybody,

>From a terminal, I start an emacs process with "emacs -q
--no-site-file &" and start the server with "M-x start-server".  Then
from the terminal again, I connect to that emacs using "emacsclient
-t".  As a result, the icons on the toolbar of the first emacs frame
disappear, leaving an empty somewhat smaller toolbar.  When I exit the
tty frame with "C-x 5 0" the icons on the toolbar reappear.

Regards,

  Lute.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.12.10)
 of 2008-06-27 on pijl
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--prefix=/soft/software/cvs' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x s t a r t <tab> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> s e r v <tab> s t <tab> <return> 
C-x 5 0 M-x r e p o <tab> r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
When done with this frame, type C-x 5 0
Making completion list...